/*************************************************************************
 *
 *
 *    (c) Copyright Olimex 2010
 *
 *    File name   : taskIO.c
 *    Description : task for polling input/output
 *
 *    History :
 *    1. Date        : 20 July 2010
 *       Author      : Aleksandar Mitev
 *       Description : Create
 *
 **************************************************************************/

#ifndef _IO_TASK
#define _IO_TASK

/* DEFINE TYPES HERE */

/* DECLARATION OF FUNCTIONS */

/******************************************************************************
* Description: vTaskIOInitialize(..) - start the task in the OS
* Input: 	none
* Output: 	none
* Return:	0 if sucessfully created, -1 if error occured 
*******************************************************************************/
char vTaskIOInitialize(void);

/******************************************************************************
* Description: UartCommPrintSafe(..) - print string to the uart, thread safe
* Input: 	str - pointer to the string
* Output: 	none
* Return:	none
*******************************************************************************/
void UartCommPrintSafe(char *str);

/* DEFINITION OF MACROS */


#endif // _IO_TASK

